import 'package:syncrow_web/pages/device_managment/factories/device_bloc_dependencies_factory.dart';
import 'package:syncrow_web/pages/device_managment/water_heater/bloc/water_heater_bloc.dart';

abstract final class WaterHeaterBlocFactory {
  const WaterHeaterBlocFactory._();

  static WaterHeaterBloc create({
    required String deviceId,
  }) {
    return WaterHeaterBloc(
      deviceId: deviceId,
      controlDeviceService:
          DeviceBlocDependenciesFactory.createControlDeviceService(),
      batchControlDevicesService:
          DeviceBlocDependenciesFactory.createBatchControlDevicesService(),
    );
  }
}
